import type { Middleware } from '../index';
import { TestingLibraryRulesObject } from '@aet/eslint-define-config/src/rules/testing-library';

const testingLibraryRules: Partial<TestingLibraryRulesObject> = {};

export const testingLibrary: Middleware = (config, { addRules }) => {
  config.overrides.push({
    files: ['**/*.(spec|test).{ts,tsx}'],
    plugins: ['plugin:testing-library/react'],
  });
  addRules(testingLibraryRules);
};
